<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_11ff9bc" . "cdcd23cd" . "6bf9d928" . "84ea6cc3" . "9" => base64_decode("Li4vY29t" . "bW9uL2Nv" . "bm5lY3Qu" . "cGhw"), "_605dec66bbd43fd43b6b" . "2abff58a62ef" => base64_decode("bmF0" . "aXZl"), "_f705bcbe9557715c78f11a9a" . "576dfda3" => base64_decode("aW1hZ2VzL3BsYWNla" . "G9sZGVyL3BsYWNlaG" . "9sZGVyLnBuZw=="), "pre" . "fix" => base64_decode("cHJlZm" . "l4"), "i" . "d" => base64_decode("aW" . "Q="), "_3be5fb55318614a35b" . "11119662d2e169" => base64_decode("cGxhY2Vob2xkZX" . "I="), "_20a7dc91" . "60360d28b" . "227a735cd" . "62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc" . "2Vzc2lvbnN0YXJ0LnBocA" . "=="), "_4be135064c4d55c13e6af60" . "c45cb1fda" => base64_decode("Z2FsbGVyeS5wZX" . "JtaXNzaW9ucw=="), "_2713fc125a2798f62a71e" . "9066f396da7" => base64_decode("Li4vY29tbW9uL2ZpbGVze" . "XN0ZW0ucGhw"), "_a62d761f3e831ff9d" . "9da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2Nvc" . "mUucGhw"), "acti" . "on" => base64_decode("YWN0aW" . "9u"), "_4d707fab93bebb00bbe69e8159697c9" . "0" => base64_decode(""), "_2e062cfc10183d31f0f0" . "848e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0Z" . "W5zaW9u"), "_3d0fad80d1698b9" . "bcb5742bda96db9f" . "8" => base64_decode("Tm8gc" . "mlnaH" . "Rz"), "_5717b327f1f9b8b8" . "2a4c07e8006c2719" => base64_decode("cG" . "5n"), "_e20b559a1b414495c43a4fbbf2e5" . "015e" => base64_decode("aHR0cF9" . "zZW5kX2" . "ZpbGU="), "_f920f0bf40dcf69c4daab1426e0564d" . "6" => base64_decode("V3JvbmcgcGFyYW1ldGVy" . "cw=="), "_af66268e" . "41c5634df" . "3c8800793" . "9cbf33" => base64_decode("ZG93bm" . "xvYWQ="), "_c330b85d625b10fb446f351cc78" . "b4d05" => base64_decode("c3RyaXBVbm" . "FsbG93ZWRX" . "aW4zMkNoYX" . "JhY3RlcnM="), "_23e3a19ac3ae2de10c19a9b00" . "17556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid0IGV4a" . "XN0"), "_3ce655ae4a144" . "21967cc023a6e9" . "07ed5" => base64_decode("aXNfZmls" . "ZQ=="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_20a7dc9160360d28b22" . "7a735cd62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a62d761" . "f3e831ff" . "9d9da39f" . "9c26ecdd" . "c"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_11ff9bccdcd23cd6bf9d9" . "2884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2713fc125a27" . "98f62a71e9066" . "f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["prefi" . "x"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["acti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_f920f0bf" . "40dcf69c4" . "daab1426e" . "0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_605dec66" . "bbd43fd43" . "b6b2abff5" . "8a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_f705bcbe9557715c78f11a9a576df" . "da3"];
$placeholder_title = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_3be5fb55318614" . "a35b11119662d2e" . "169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5717b327f" . "1f9b8b82a4" . "c07e8006c2" . "719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_605dec66bbd43fd" . "43b6b2abff58a62e" . "f"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4be135064c4d55c13e6af60c" . "45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3d0fad8" . "0d1698b9" . "bcb5742b" . "da96db9f" . "8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3ce655ae4a14421" . "967cc023a6e907ed" . "5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_23e3a19ac3ae2de10c" . "19a9b0017556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2e062cfc10183d31f0f0848e59" . "bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4d707fab93bebb00bb" . "e69e8159697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c330b85d625b10fb446f3" . "51cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e20b559a1b414495c43a4fbbf2e5" . "015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_af66268e41c5634df3c88007939cbf3" . "3"] ? DOWNLOAD : INLINE);